Subject: [6lowpan] [ADs] AUTH48 [MF]: RFC 6282 <draft-ietf-6lowpan-hc-15.txt>

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 22 Jul 2011 19:59:30 +0200

It seems that "IEEE 802.15.4-based Networks" made the consensus.
I'll be communicating this to the rfc editor.

Thank you all;

Pascal

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Zach Shelby
> Sent: Monday, July 18, 2011 8:39 AM
> To: Shoichi Sakane
> Cc: 6lowpan
> Subject: Re: [6lowpan] Titles of 6LoWPAN RFCs
> 
> 
> On Jul 14, 2011, at 4:54 PM, Shoichi Sakane wrote:
> 
> >>   "Compression Format for IPv6 Datagrams over IEEE 802.15.4-based
> Networks"
> >> or
> >>   "Compression Format for IPv6 Datagrams in IEEE 802.15.4 Frames"
> >
> > "IEEE 802.15.4-based Networks" makes sense to me.
> 
> 
> +1
> 
> --
> Zach Shelby, Chief Nerd, Sensinode Ltd.
> http://www.sensinode.com
> http://zachshelby.org  - My blog "On the Internet of Things"
> http://6lowpan.net - My book "6LoWPAN: The Wireless Embedded Internet"
> Mobile: +358 40 7796297

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 22 Jul 2011 20:22:25 +0200

> It seems that "IEEE 802.15.4-based Networks" made the consensus.

Sorry, Pascal, not so fast.

It is a bit hard to diagnose a consensus here, except that
the clear WG consensus seems to be that nobody cares much :-)

It is indeed pretty clear from the extended WG discussion that

	Compression Format for IPv6 Datagrams over IEEE 802.15.4-based Networks

or

	Compression Format for IPv6 Datagrams over IEEE 802.15.4-based Networks

is the important part of the title.

We don't seem to have full consensus on whether 6LoWPAN should be part of the title.
Jonathan would like to keep it out, others have indicated that they think it should be part of the title (as it was during WGLC and IETF last call).

Megan has indicated that 6LoWPAN would be expanded as in RFC 4919:

    IPv6 over Low-Power Wireless Personal Area Networks (6LoWPANs):

I think the best of both worlds would be

	Compression Format for IPv6 Datagrams over IEEE 802.15.4-based Networks (6LoWPANs)

but I'd need input from the RFC editor whether that can be done without falling into the expansion trap.

Gruesse, Carsten

---

From: Carsten Bormann <[email-masked]>
Date: Fri, 22 Jul 2011 20:24:25 +0200

> Sorry, Pascal, not so fast.

Carsten, not so fast either :-)

> 	Compression Format for IPv6 Datagrams over IEEE 802.15.4-based Networks

Sorry.

	Compression Format for IPv6 Datagrams over IEEE 802.15.4 Networks

or

is what I wanted to say.

Gruesse, Carsten

---

From: "Timothy J. Salo" <[email-masked]>
Date: Sat, 23 Jul 2011 14:10:26 -0500

> is the important part of the title.

I think that the name should speak to a large audience (not just the
working group or even just the IETF) and should make sense for many
years.

The "-based" part of the name seems something between subtle and
extraneous.  If you want to emphasize that this RFC doesn't require
or use a full implementation of IEEE 802.15.4, this should be
highlighted in the text, not in the title.

> Jonathan would like to keep it out, others have indicated that they think it should
> be part of the title (as it was during WGLC and IETF last call).

"6lowpan", I believe, fails the test of speaking to a broader audience
and having longevity.  Today, few people know what 6lowpan means, and
in the future it will be merely an interesting (or not-so-interesting)
historical footnote.  Using "6lowpan" feels sort of like using a
development code name for a marketing name.

>      IPv6 over Low-Power Wireless Personal Area Networks (6LoWPANs):

I think that the term "personal area networks" is, well, archaic.
That is not how IEEE 802.15.4 is being used and not how these
specifications are being used.  Rather, I think we all hope that
this technology will be used for much more than personal area
networks.

Carsten made essentially this argument in his original e-mail.

This reasoning suggests that "6lowpan" doesn't add any value to the
title, since it embeds an acronym that we don't really believe.

RFC 4944, "Transmission of IPv6 Packets over IEEE 802.15.4 Networks",
contains neither "based", "6lowpan", nor "personal area networks" in
its title.

> falling into the expansion trap.

Again, I think that "6lowpan" is, or soon will be, historical trivia.
It's a title that, while we as a working group might have some affection
for, we don't really believe it.

-tjs

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Sun, 24 Jul 2011 12:10:54 +0200

Timothy:

'-based' was added because 802.15.4 MAC is now used on multiple media
including PLC, and HC applies fine to those.
In order to include those, we proposed to add frame, or based. Seems
that the latter made consensus.

Cheers,

Pascal

> Behalf Of Timothy J. Salo
> Sent: Saturday, July 23, 2011 9:10 PM
> Cc: 6lowpan; [email-masked]; [email-masked]
> Subject: Re: [6lowpan] [ADs] AUTH48 [MF]: RFC
6282<draft-ietf-6lowpan-hc-
> 15.txt>
> > Jonathan would like to keep it out, others have indicated that they
think it
> should
> > but I'd need input from the RFC editor whether that can be done
without
> > falling into the expansion trap.
> 
> _______________________________________________
> 6lowpan mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lowpan